
<?php

require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

$dal = new DAL();

/*
$sql = "INSERT INTO controlinstance (controlobject_id, instance, location) " . 
        "VALUES (36, 'putContactDefinition', 'contactdefinition') " ;
$ci_id = $dal->query($sql);
 
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'position', 'right') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'idProp', 'updputContactDefinition') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'label', 'Commit_Update') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'scope', 'putContactDefinition') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'summaryTable', 'sumContactDefinitions') " ;
$ce_id = $dal->query($sql);

*/
$ci_id = 344;
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'formDefs', '$contactDefinition->get(\'form_defs\')') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'formData', '\$contactDefinition->get(\'form_data\')') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'selectId', '0') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'iterator', 'putContactDefinition') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'listeners', 'sumContactDefinition') " ;
$ce_id = $dal->query($sql);
    
$sql = "INSERT INTO controlentry (controlinstance_id, property, value) " . 
        "VALUES ($ci_id, 'column', 'co_id') " ;
$ce_id = $dal->query($sql);
  
?>
